Issue 11250

Title
Publish flatpak application for tryton
Priority
feature
Status
in-progress
Nosy list
ced, edbo, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2022-02-13.14:48:07 by ced, last changed 2 months ago by ced.

Messages

New changeset 1cc66d688f24 by Cédric Krier in branch 'default':
Include series number in application ID
https://hg.tryton.org/tryton-env/rev/1cc66d688f24
New changeset a3efe6c4c1b8 by Cédric Krier in branch 'default':
Include series number in application ID
https://hg.tryton.org/tryton/rev/a3efe6c4c1b8
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-09-11.10:48:20

As we have to build a flatpack application for each series. They must have each a different application ID in flatpack. But this means also that the Gtk application ID must follow the same schema in order to register in DBus.
So I propose to suffix org.tryton.Tryton with the series number prefixed by -. But as - is only allowed in the last part, we can not use . between major and minor version. So the result will be like org.tryton.Tryton-64 for the serie 6.4. This should not create any conflict because we never have minor release greater than 9.

Author: [hidden] (edbo)
Date: 2022-06-30.15:37:16

Just tried to build it which ran fine, but version 6.2.4 was build instead of 6.4.0. I made some changes to the python3-tryton.json to download and install the right version.

Version 6.2.4 will start, but after filling the details and trying to login, it will crash. Version 6.4.0 however runs fine. I can login and do stuff without crashing. On the command line I get two messages:

Gtk-Message: 15:30:27.372: Failed to load module "canberra-gtk-module"
Gtk-Message: 15:30:27.372: Failed to load module "pk-gtk-module"

Can be a problem with my machine. I'm running Fedora 35.

New changeset 53cb38143231 by Cédric Krier in branch 'default':
Support flatpak build
https://hg.tryton.org/tryton-env/rev/53cb38143231
New changeset c719a04ecb31 by Cédric Krier in branch 'default':
Support flatpak build
https://hg.tryton.org/tryton/rev/c719a04ecb31
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-02-13.14:48:07

It has been discussed on https://discuss.tryton.org/t/add-desktop-build-for-linux/927

review390041002 is an initial prototype to build flatpak for tryton-6.2.4.
It requires review390051002 because flatpak requires a minimum of 3 levels for the application ID (otherwise the DBus registration of Main application is forbidden as the root path is not the same flatpak application ID). Also the TMPDIR must adapted to allow other application to open them.

I propose to publish it on flathub but I do not know yet how to deal with the multiple series, so I asked on the forum: https://discourse.flathub.org/t/how-to-publish-multiple-major-version/2205.

History
Date User Action Args
2022-09-15 21:44:29cedsetstatus: resolved -> in-progress
2022-09-15 21:40:11roundup-botsetmessages: + msg78158
2022-09-15 21:40:06roundup-botsetmessages: + msg78157
status: in-progress -> resolved
2022-09-11 11:05:39reviewbotsetmessages: + msg78010
2022-09-11 11:05:34reviewbotsetmessages: + msg78009
2022-09-11 10:49:46cedsetreviews: 390041002,390051002 -> 390041002,390051002,435781003
2022-09-11 10:48:20cedsetmessages: + msg78008
2022-06-30 15:37:16edbosetmessages: + msg77259
nosy: + edbo
2022-05-02 10:23:11cedsetstatus: resolved -> in-progress
2022-05-02 10:22:50roundup-botsetmessages: + msg76437

Showing 10 items. Show all history (warning: this could be VERY long)